Storyden
Admin

O Auth Remote Connection Create

Create a remote OAuth connection using CIMD, DCR, or manual configuration. CIMD is preferred when discovery supports it.

POST/admin/oauth/remote/connections

Create a remote OAuth connection using CIMD, DCR, or manual configuration. CIMD is preferred when discovery supports it.

Authorization

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/admin/oauth/remote/connections" \  -H "Content-Type: application/json" \  -d '{    "resource_url": "http://example.com"  }'
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "resource_url": "http://example.com",  "resource": "string",  "resource_name": "string",  "authorization_server": "http://example.com",  "mode": "cimd",  "status": "pending",  "client_id": "string",  "has_client_secret": true,  "authorization_endpoint": "http://example.com",  "token_endpoint": "http://example.com",  "registration_endpoint": "http://example.com",  "token_endpoint_auth_method": "string",  "redirect_uri": "http://example.com",  "redirect_uris": [    "http://example.com"  ],  "scope": "string",  "has_access_token": true,  "has_refresh_token": true,  "token_type": "string",  "token_expiry": "2019-08-24T14:15:22Z",  "last_error": "string"}